<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".MakeAutoActivity">


    <TextView
        android:id="@+id/textPine4"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:ems="10"
        android:text="Number of buttons per object"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/NumOfButton1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="4dp"
        android:hint="Scoring Object 1"
        android:imeOptions="actionDone"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toStartOf="@+id/scoreOb2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/NumScorObject" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:hint="Scoring Object 2"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/NumOfButton1"
        app:layout_constraintTop_toBottomOf="@+id/NumScorObject" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="4dp"
        android:hint="Scoring Object 3"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toStartOf="@+id/scoreOb4"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/NumOfButton1" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb4"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:hint="Scoring Object 4"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/scoreOb3"
        app:layout_constraintTop_toBottomOf="@+id/scoreOb2" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb5"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="4dp"
        android:hint="Scoring Object 5"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toStartOf="@+id/scoreOb6"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/scoreOb3" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb6"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:hint="Scoring Object 6"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/scoreOb5"
        app:layout_constraintTop_toBottomOf="@+id/scoreOb4" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb7"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="4dp"
        android:hint="Scoring Object 7"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toStartOf="@+id/scoreOb8"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/scoreOb5" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb8"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:hint="Scoring Object 8"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/scoreOb7"
        app:layout_constraintTop_toBottomOf="@+id/scoreOb6" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/scoreOb9"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:hint="Scoring Object 9"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/scoreOb7" />

    <EditText
        android:id="@+id/NumScorObject"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ems="10"
        android:hint="Number of scoring objects"
        android:imeOptions="actionDone"
        android:inputType="number"
        android:digits="1234567890"
        android:maxLength="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textPine4" />

    <Button
        android:id="@+id/nextButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="8dp"
        android:backgroundTint="@color/orangeMain"
        android:text="Next"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/backButton" />


    <Button
        android:id="@+id/backButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/orangeMain"
        android:text="Back"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/nextButton"
        app:layout_constraintStart_toStartOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>